> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/admin-services/site/site-details.md).

# Site - Details

| **API URL**     | {{url}}/admin-service/site/details |
| --------------- | ---------------------------------- |
| **Method**      | POST                               |
| **Description** | Site details                       |

#### **Sample Input:** <a href="#site-details-sampleinput" id="site-details-sampleinput"></a>

{     "tenantId": 151,     "id": 226 }

#### **Output:** <a href="#site-details-output" id="site-details-output"></a>

| **Field Name** | **Type** | **Comments**                 |
| -------------- | -------- | ---------------------------- |
| `id`           | Number   | Site id                      |
| `name`         | String   | Site name                    |
| `email`        | String   | Email for site               |
| `addressType`  | String   | Site address type (Physical) |
| `addressUse`   | String   | Site address use (Work)      |
| `address1`     | String   | Site address                 |
| `address2`     | String   | Site address                 |
| `latitude`     | Number   | Location co-ordinates        |
| `longitude`    | Number   | Location co-ordinates        |
| `label`        | String   | City name                    |
| `phoneNumber`  | String   | Contact details for site     |
| `postalCode`   | Number   | City postal code             |
| `label`        | String   | Site level                   |
| `value`        | String   | Site level (Level 1)         |
| `siteType`     | String   | Site type (Clinical)         |
| `id`           | Number   | Country id                   |
| `name`         | String   | Country name                 |
| `tenantId`     | Number   | Country tenantid             |
| `id`           | Number   | County id                    |
| `name`         | String   | County name                  |
| `id`           | Number   | Subcounty id                 |
| `name`         | String   | Subcounty name               |
| `id`           | Number   | Account id                   |
| `name`         | String   | Account name                 |
| `tenantId`     | Number   | Account tenant id            |
| `id`           | Number   | Operating unit id            |
| `name`         | String   | Operating unit name          |
| `tenantId`     | Number   | Operating unit tenant id     |
| `id`           | Number   | Culture id                   |
| `name`         | String   | Culture name                 |
| `tenantId`     | Number   | Site tenant id               |
| `status`       | String   | Site active/inactive status  |

#### **Sample Output:** <a href="#site-details-sampleoutput" id="site-details-sampleoutput"></a>

```
{
    "message": "Site fetched successfully.",
    "entity": {
        "id": 226,
        "name": "Mtwapa Health Centre",
        "email": "MtwxxxHealxxxentre@gmail.com",
        "addressType": "Physical",
        "addressUse": "Work",
        "address1": "Mombasa Malindi road Mtwapa Town 1 Km to the left. next to Chiefs office",
        "address2": null,
        "latitude": "-3.94891",
        "longitude": "39.74509",
        "city": {
            "label": "",
            "value": {
                "Longitude": "39.74509",
                "Latitude": "-3.94891"
            }
        },
        "phoneNumber": "8231XXX312",
        "postalCode": 0,
        "siteLevel": {
            "label": "Level 3",
            "value": "Level 3"
        },
        "siteType": "Clinic",
        "country": {
            "id": 4,
            "name": "Kenya",
            "tenantId": 156
        },
        "county": {
            "id": 62,
            "name": "Kilifi",
            "tenantId": null
        },
        "subCounty": {
            "id": 539,
            "name": "Kilifi South",
            "tenantId": null
        },
        "account": {
            "id": 9,
            "name": "Novo Kenya",
            "tenantId": 146
        },
        "operatingUnit": {
            "id": 55,
            "name": "Kilifi",
            "tenantId": 235
        },
        "culture": {
            "id": 1,
            "name": "English - India",
            "tenantId": null
        },
        "tenantId": 151
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/admin-services/site/site-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
